.printbox{position: fixed;top: 0;left: 0;width: 350px;height: 210px;overflow: hidden;
    background: #fff;z-index: -1;font-family: Arial;transform: translateY(-100%);}
.printbox canvas{display: none;}
.printcon{position: absolute;top: 50%;left: 50%;transform: translate(-50%,-50%);width: 350px;height: 210px;background: #fff;}
.prttop img{width: 100%;display: block;}
.printcon{width: 350px;height: 210px;}
.printconbox{width: 300px;height: 200px;background: #fff;}
.primain{position: relative;height: 210px;float: left;width: 350px;}

.prttop{margin: 10px 12px 8px;position: relative;border-bottom: 1px solid #000;padding-bottom: 7px;}
.printopen{z-index: 99;position: fixed;bottom: 11rem;right: 1.5rem;height: 60px;width: 60px;border-radius: 50%;background: url(../images_m/dayin.png) no-repeat center center #03af39;background-size: 45px;display: block;text-indent: -9999px;transition-duration: 0ms;}
.printopen:hover{background: url(../images_m/dayin.png) no-repeat center center #0b8c33;background-size: 45px;}

.topno{display: flex;align-items: center;}
.topno p{padding: 0 8px;line-height: 32px;height: 32px;color: #fff;background: #000;display: inline-block;letter-spacing: 1px;font-size: 28px;font-weight: bold;}
.ewmbottom{position: relative;margin: 0 12px;text-align: left;display: grid;grid-template-columns: 1fr 1.45fr;border-top: 1px solid #000;padding-top: 5px}
.ewmbottom h2{font-size: 18px;line-height: 25px;color: #000;font-weight: bold;font-family: Arial;}



.ewmbottom .ewmlbox{position: absolute;bottom: 10px;padding-left: 45px;width: 160px;height: 45px;line-height: 45px;text-align: center;font-size: 35px;font-weight: bold;color: #000;letter-spacing: 0.15em;overflow: hidden;
background: #fff;border: 1px solid #000;border-bottom: 5px solid #000;}
.ewmbottom .ewmlbox img{position: absolute;top: 0;left: 0;z-index: -1;display: none;}
.ewmbottom .ewmlbox span{line-height: 35px;position: absolute;bottom: 0;left: 3px;width: 50px;text-align: center;font-size: 14px;letter-spacing: 1px;font-weight: normal;display: block;font-weight: bold;}
.ewmbottom .ewmlbox em{display: block;height: 40px;line-height: 40px;margin-left: 12px;letter-spacing: 0;color: #000;border-left: 1px solid #000;}

.price-container {

}
.price-item {
    font-family: Arial;
    display: flex;
    justify-content: end;
    align-items: baseline;
    line-height: 16px;
}
.price-item span{font-family: Arial;}
.price-label {
    font-size: 12px;
    width: 95px;
    text-align: right;
}
.price-value {
    flex-grow: 1;
    text-align: right;
    font-size: 18px;
    font-weight: bold;
}

.price-currency {
    margin-left: 1px;
    font-size: 12px;
}


.ewmmiddle{font-size: 14px;padding: 0 12px;display: flex;height: 102px;gap: 20px;}
.ewmmiddle h2{font-size: 21px;font-weight: bold;line-height: 22px;margin-bottom: 3px;}
.ewmmiddle .ewmtext{font-size: 16px;line-height: 19px;}
.ewmmiddle .ewmtext p{display: flex;}
.ewmmiddle .ewmtext p span:nth-child(1){width: 60%;}
.ewmmiddle .ewmtext p span:nth-child(2){width: 40%;}

.codetext{width: calc(100% - 80px);}
.printcon .codebox{width: 80px;}
.printcon .codebox img{max-width: 80px;}
.printcon .codebox span{width: 80px;height: 80px;position: relative;display: block;margin: 0 auto;}
.printcon .codebox span .logo{position: absolute;padding: 0;top: 50%;left: 50%;width: 20px;height: 20px;margin-left: -10px;margin-top: -10px;}

.xz-box-main{position: fixed;left: 0;top: 0;width: 100%;height: 100%;z-index: 9999;display: none;}
.xz-box-bg{position: absolute;background: rgba(0,0,0,0.6);width: 100%;height: 100%;}

.xz-main{position: relative;left: 15%;top: 5%;padding: 40px 0 80px;background: #fff;width: 70%;height: 70%;}
.xz-main h2{line-height: 40px;}
.xz-main ul{padding-bottom: 30px;}
.xz-select{height: 100%;overflow-y: auto;padding: 0 30px;position: relative;}
.xz-main a{margin: 10px 10px 0 0;display: inline-block;line-height: 35px;padding: 0 15px;border: 1px solid #e0e0e0;}
.xz-main a.noclick{background: #f0f0f0;color: #aaa;}
.xz-main a.onclick{background: #f00;color: #fff;border: 1px solid #f00;}

.xz-print{padding-top: 25px;text-align: center;height: 35px;text-transform: none;}
.xz-print input{margin: 0 5px;margin-top: -3px;padding: 0 10px;line-height: 33px;border: 1px solid #e0e0e0;float: none;display: inline-block;font-size: 16px;text-align: center;}
.xz-print span{padding: 0 10px;}
.xz-print input#vatnum{width: 60px;padding: 0 0 0 10px;}
.xz-print input#printnum{width: 80px;}
.xz-print a{margin: 0 0 0 10px;padding: 0 20px;float: none;display: inline-block;background: rgb(203, 32, 39);color: #fff;border: none;}

.madechina{display: none;font-size: 8px;text-align: center;line-height: 14px;}

.dycheckbox{margin-top: 12px;line-height: 20px;height: 20px;display: block;cursor: pointer;}
.dycheckbox span{
margin-right: 5px;width: 20px;height: 20px;display: block;float: left;border: 1px solid #e0e0e0;border-radius: 3px;position: relative;transition-duration: 300ms;}
.dycheckbox.dyon span{background: #f00;border: 1px solid #f00;}
  .dycheckbox span::after {
    content: '✔';
    color: white;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 16px;
  }